Skip to main content
GET
/
api2
/
v1
/
languages
List supported languages
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/languages \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/languages"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/languages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "languages": [
    {
      "android": "<string>",
      "androidBcp": "<string>",
      "code": "<string>",
      "name": "<string>",
      "rfc": "<string>",
      "rtl": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

active
boolean

When true, return only the languages whose locales are currently enabled for the calling user's organization. When omitted or false, return all supported languages.

Response

OK

Envelope for the list of languages.

languages
object[]
required